## org.gnu.gtk
Class SubmenuPlacement

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.SubmenuPlacement

public class SubmenuPlacement
extends Enum

Field Summary
`static SubmenuPlacement` `LEFT_RIGHT`
`static SubmenuPlacement` `TOP_BOTTOM`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`SubmenuPlacement` `and(SubmenuPlacement other)`
`static SubmenuPlacement` `intern(int value)`
`SubmenuPlacement` `or(SubmenuPlacement other)`
`boolean` `test(SubmenuPlacement other)`
`SubmenuPlacement` `xor(SubmenuPlacement other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOP_BOTTOM

    public static final SubmenuPlacement TOP_BOTTOM

### LEFT_RIGHT

    public static final SubmenuPlacement LEFT_RIGHT

Method Detail

### intern

    public static SubmenuPlacement intern(int value)

### or

    public SubmenuPlacement or(SubmenuPlacement other)

### and

    public SubmenuPlacement and(SubmenuPlacement other)

### xor

    public SubmenuPlacement xor(SubmenuPlacement other)

### test

    public boolean test(SubmenuPlacement other)